package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.ProjectTaskInfoAddCmd;
import com.zcloud.domain.dto.ProjectTaskInfoPageQry;
import com.zcloud.domain.dto.ProjectTaskInfoUpdateCmd;
import com.zcloud.domain.dto.clientobject.ProjectTaskInfoCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:30
 */
public interface ProjectTaskInfoServiceI {
    PageResponse<ProjectTaskInfoCO> listPage(ProjectTaskInfoPageQry qry);

    SingleResponse<ProjectTaskInfoCO> add(ProjectTaskInfoAddCmd cmd);

    void edit(ProjectTaskInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

